Subject: Re: issue with grep [^]
From: Earnie Boyd <[email-masked]>
To: [email-masked], Jeff Jensen <[email-masked]>
Cc: [email-masked]
Date: Fri, 25 Aug 2000 07:19:13 -0700 (PDT)

--- Robert Praetorius <[email-masked]> wrote:
> > If I type:
> >     cat x.txt | grep \\-[0-9]\)
> > it works great - the lines containing it are correctly returned.
> > 
> > But typing:
> >     cat x.txt | grep \\-[^0-9]\)
> > doesn't work - the same result occurs as the first case above, like the ^
> is
> > ignored.
> 
>      ^ is the quoting character for NT's CMD.EXE (bash doesn't exhibit 
> this problem).  Also note that CMD.EXE requires | must be double 
> quoted if you're passing it through a pipe (again bash doesn't need 
> this):
> 
> F:\temp>echo ^| | cat
> The syntax of the command is incorrect.
> 
> F:\temp>echo ^^^| | cat
> |
> 
> F:\temp>bash
> $ echo \| | cat
> |
> $ echo \\\| | cat
> \|
> 

Hi Robert and Jeff,

Robert, did you try this in bash?

It doesn't work.  It *is* broken.  I've found no work around.  I doubt that
this would be a Cygwin bug but maybe 1.1.4 has it fixed.  I'm running currently
a 1.1.3 build from 6/20/2000.

Cheers,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://gw32.freeyellow.com/>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Yahoo! Mail - Free email you can access from anywhere!
http://mail.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]